clock_gettime.h File Reference

Replacement for clock_gettime() for systems without it (like Mac OS X) More...

`#include "cvc4_public.h"`
`#include "lib/replacements.h"`
`#include <time.h>`
Include dependency graph for clock_gettime.h:

Go to the source code of this file.

## Enumerations

enum | clockid_t { CLOCK_REALTIME , CLOCK_MONOTONIC , CLOCK_REALTIME_HR , CLOCK_MONOTONIC_HR }

## Functions

long | clock_gettime (clockid_t which_clock, struct timespec *tp)

## Detailed Description

Replacement for clock_gettime() for systems without it (like Mac OS X)

    ** Original author: Morgan Deters
    ** Major contributors: none
    ** Minor contributors (to current version): none
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

Replacement for clock_gettime() for systems without it (like Mac OS X).

Definition in file clock_gettime.h.

## Enumeration Type Documentation

## clockid_t

enum clockid_t

Enumerator
CLOCK_REALTIME |
CLOCK_MONOTONIC |
CLOCK_REALTIME_HR |
CLOCK_MONOTONIC_HR |

Definition at line 61 of file clock_gettime.h.

## Function Documentation

## clock_gettime()

long clock_gettime | ( | clockid_t | which_clock,
|  | struct timespec * | tp )